Bug 204213 - /etc/fstab check needs to be done for newly-added physical volumes
/etc/fstab check needs to be done for newly-added physical volumes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-26 22:02 EDT by Mike Bongard
Modified: 2008-05-06 12:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bongard 2006-08-26 22:02:14 EDT
Description of problem:
When a disk or partition is added to a new or existing logical volume, a check
should be performed in /etc/fstab to ensure that the added physical
disks/partitions were not mounted in the prior configuration. If this was the
case, following a system reboot init will be unable to properly access the
entries to the old physical volumes, dropping into filesystem recovery mode.
Worse, if a user then runs fsck they can clobber the LVM UUID metadata.

Version-Release number of selected component (if applicable):
1.0.18

How reproducible:
This happened to me; following a tricky manual LVM restore I'd rather not try
and reproduce it! :)

Steps to Reproduce:
1. Have a LVM logical volume and one or more separate physical partitions
configured in /etc/fstab
2. Using system-config-lvm, initialize one of the physical partitions and add it
to the logical volume.
  
Actual results:
Entries for the initialized partitions/disks will remain in /etc/fstab; if a new
logical volume has been created, it will be properly appended to the end of
/etc/fstab.

Expected results:
Entries for the initialized partitions/disks should be commented out or
otherwise removed as a part of the LVM initialization process; the act of
initialization renders any pre-existing fstab entry invalid.

Additional info:
A specific example is provided with a snipped from my properly formatted
/etc/fstab, following the creation of a new logical volume 'Data' in volume
group 'VolGroup00' out of the two physical partitions /dev/hdf5 and /dev/hde1:

/dev/VolGroup00/LogVol00 /                      ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
tmpfs                   /dev/shm                tmpfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
sysfs                   /sys                    sysfs   defaults        0 0

# The following two need to be removed since they're now part of the LVM 
# volume 'Data'
#/dev/hdf5		/mnt/data		ext3	defaults	1 1
#/dev/hde1		/mnt/data2		ext3	defaults	1 1
/dev/VolGroup00/Data		/data		ext3	defaults	1 2
Comment 1 Bug Zapper 2008-04-03 23:36:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:16:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.